avidemux 1:2.4.1-0.0ubuntu1 source package in Ubuntu

Changelog

avidemux (1:2.4.1-0.0ubuntu1) hardy; urgency=low

  * Merged new upstream release from debian-multimedia.org (LP: #192774),
    remaining Ubuntu changes:
    + debian/control:
      - Set maintainer fields per specification.
      - Removed libamrnb-dev build-dependency.
      - Re-added chrpath build-dependency.
      - Corrected spelling: QT4 -> Qt 4.
    + debian/rules:
      - Strip rpath from avidemux2_qt4 (--disable-rpath won't work).

avidemux (1:2.4.1-0.0) unstable; urgency=low

  * New upstream release.

avidemux (1:2.4.0-0.3ubuntu2) hardy; urgency=low

  * Corrected the typo errors (LP: #189584)

avidemux (1:2.4.0-0.3ubuntu1) hardy; urgency=low

  * Merged new upstream release from debian-multimedia.org
    (LP: #178845, LP: #180393), remaining Ubuntu changes:
    + debian/control:
      - set maintainer fields per Ubuntu policy.
      - removed libamrnb-dev, not in Ubuntu and most likely
        will never be (due to being proprietary software).
      - build against current libx264-dev (LP: #177082).
      - build against current libfaac-dev (LP: #181389).
      - build-depend on chrpath to strip rpath from avidemux2_qt4.
    + debian/rules: strip rpath from avidemux2_qt4.
    + debian/source.lintian-overrides: re-added.

avidemux (1:2.4.0-0.3) unstable; urgency=low

  * Use configure and make instead of cmake.

avidemux (1:2.4.0-0.2) unstable; urgency=low

  * avidemux-common should replace avidemux.

avidemux (1:2.4.0-0.1) unstable; urgency=low

  * Should Build-Depends on libsamplerate0-dev
  * Upload in unstable.

avidemux (1:2.4.0-0.0) unstable; urgency=low

  * New upstream release.
  * Merge changes from Ubuntu.

avidemux (1:2.4~preview3-0.0ubuntu1) hardy; urgency=low

  * Upload to Ubuntu. (LP: #163287, LP: #126572)
  * debian/changelog: re-added Ubuntu releases.
  * debian/control:
    - Require debhelper >= 5.0.51 (for dh_icons) and imagemagick.
    - Build-depend on libsdl1.2-dev instead of libsdl-dev.
    - Build against newer libx264-dev. (LP: #138854)
    - Removed libamrnb-dev, not in Ubuntu yet.
  * debian/rules:
    - Install all icon sizes, using convert (upstream installs none).
    - Added missing calls to dh_installmenu, dh_installman, dh_icons and
      dh_desktop.
  * debian/menu, debian/avidemux-qt.menu:
    - Corrected package and executable names.
  * debian/avidemux-common.install: Install icons.
  * debian/avidemux.common.manpages: Install man/avidemux.1.
  * debian/links, debian/avidemux-cli.links, debian/avidemux-gtk.links:
    - Link manpages to avidemux.1.gz.
  * debian/install, debian/avidemux-qt.install, debian/avidemux-gtk.desktop,
    debian/avidemux-qt.desktop: Install desktop files.

avidemux (1:2.4~preview3-0.0) experimental; urgency=low

  * New upstream pre release uploaded to experimental.

avidemux (1:2.3.0-0.0ubuntu3) feisty; urgency=low

  * Fix race condition in po builds.

avidemux (1:2.3.0-0.0ubuntu2) feisty; urgency=low

  * Rebuild against newer libx264-dev (affects Ubuntu: #80387)
    - No source changes needed; avidemux properly compensates for newer API

avidemux (1:2.3.0-0.0ubuntu1) feisty; urgency=low

  * Merge from debian-multimedia.org, remaining Ubuntu change:
    - desktop file,
    - no support for ccache and make -j.
  * Closes Ubuntu: #69614.

avidemux (1:2.3.0-0.0) unstable; urgency=low

  * New upstream release.
  * Add support for ccache and make -j.

avidemux (1:2.1.2+2.3-preview2-0.0) unstable; urgency=low

  * New upstream release.

avidemux (1:2.1.2+2.2-preview2b-0.1) unstable; urgency=low

  * Rebuild against the latest libdirectfb-0.9-25 package.
  * New patch to build with latest x264.

avidemux (1:2.1.2+2.2-preview2b-0.0) unstable; urgency=low

  * New pre 2.2 release.

avidemux (1:2.1.2-0.1) unstable; urgency=low

  * Rebuild against the latest libfaad.

avidemux (1:2.1.2-0.0ubuntu3) edgy; urgency=low

  * Apply patch from Ubuntu #63842 for newer x264,
    - RC freeze exception granted by Andrew Mitchell.

avidemux (1:2.1.2-0.0ubuntu2) dapper; urgency=low

  * Add a desktop file (thanks Fabio Berta)
    Closes Malone #39702

avidemux (1:2.1.2-0.0ubuntu1) dapper; urgency=low

  * New upstream release.
  * Sync with Marillat. Ubuntu patches preserved.
  * UVF Exception: Malone #39819
  * build and install addons/ffv1rec (on i386 only)

avidemux (1:2.1.1-0.0ubuntu1) dapper; urgency=low

  * Sync with Marillat
  * UVF Exception: Malone #34448
  * Don't build MMX support as we support older CPUs too, only build the
    ffv1rec addon on x86. Patch by Jamie Jones.
  * Adjust Build-Depends:
    + liba52-dev -> liba52-0.7.4-dev

avidemux (1:2.1.1-0.0) unstable; urgency=low

  * New upstream release.
  * Add libsmjs-dev, libxv-dev and libx264-dev in Build-Depends.
  * Add a watch file.

avidemux (1:2.0.42-0.0) unstable; urgency=low

  * New upstream release.

avidemux (1:2.0.40-0.0) unstable; urgency=low

  * New upstream release.

avidemux (1:2.0.38+rc3-0.1) unstable; urgency=low

  * Oooops, I've patched accidently ffv1rec, so now ffv1rec can be packaged.

avidemux (1:2.0.38+rc3-0.0) unstable; urgency=low

  * New upstream release.
  * Removed 01_ffv1rec patch included by upstream.
  * ffv1rec doesn't compile.

avidemux (1:2.0.38+rc2b-0.2) unstable; urgency=low

  * For now doesn't build ffv1rec for sparc.

avidemux (1:2.0.38+rc2b-0.1) unstable; urgency=low

  * Rebuild for testing.

avidemux (1:2.0.38+rc2b-0.0) unstable; urgency=low

  * New upstream release.

avidemux (1:2.0.38+rc1-0.0) unstable; urgency=low

  * New upstream release.

avidemux (1:2.0.36-0.0) unstable; urgency=low

  * New upstream release.

avidemux (1:2.0.34+test2-0.0) unstable; urgency=low

  * New upstream release.

avidemux (1:2.0.34+test1-0.1) unstable; urgency=low

  * Need to build depends on a versioned libfaac-dev (>= 1.24-0.2).

avidemux (1:2.0.34+test1-0.0) unstable; urgency=low

  * New upstream release.
  * Add nasm, libfaac-dev and libfaad2-dev in Build-depends

avidemux (1:2.0.30-0.0) unstable; urgency=low

  * New upstream release.

avidemux (1:2.0.28-0.2) unstable; urgency=low

  * Little hack to remove the automake/aclocal calls and remove automake1.8
   from Build-Depends.

avidemux (1:2.0.28-0.1) unstable; urgency=low

  * Really need to Build-depends on automake1.8

avidemux (1:2.0.28-0.0) unstable; urgency=low

  * New upstream release.

avidemux (1:2.0.26-0.0) unstable; urgency=low

  * New upstream release.
  * debian/control Add libsdl-dev in Build-Depends.

avidemux (1:2.0.24-0.2) unstable; urgency=low

  * Add a Build-dependency for automaken | automake1.8

avidemux (1:2.0.24-0.1) unstable; urgency=low

  * Build against xvid 1.0.0

avidemux (1:2.0.24-0.0) unstable; urgency=low

  * New upstream release.

avidemux (1:2.0.22-0.1) unstable; urgency=low

  * Fix to complie ffv1rec from the author.

avidemux (1:2.0.22-0.0) unstable; urgency=low

  * New upstream release.
  * ffv1rec doesn't complie, not packaged.

avidemux (1:2.0.20-0.0) unstable; urgency=low

  * New upstream release.
  * Add the ffv1rec binary in the package.

avidemux (1:2.0.18-0.0) unstable; urgency=low

  * New upstream release.

avidemux (1:2.0.16-0.0) unstable; urgency=low

  * New upstream release.

avidemux (1:2.0.12-0.0) unstable; urgency=low

  * New upstream release.

avidemux (1:2.0.10-0.0) unstable; urgency=low

  * New upstream release.
  * 2.0.12-0.0 New upstream release.

avidemux (1:0.9-0.1) unstable; urgency=low

  * Rebuild for sarge (libvorbis)

avidemux (1:0.9-0.0) unstable; urgency=low

  * New upstream release.

avidemux (0.9rc3-0.1) unstable; urgency=low

  * Add mjpegtools in Recommends

avidemux (0.9rc3-0.0) unstable; urgency=low

  * New upstream release.

avidemux (0.9rc2-0.2) unstable; urgency=low

  * Add libxml2-dev in build-depends

avidemux (0.9rc2-0.1) unstable; urgency=low

  * Build against the latest libvorbis

avidemux (0.9rc2-0.0) unstable; urgency=low

  * New upstream release.

avidemux (0.9rc1-0.0) unstable; urgency=low

  * New upstream release.

avidemux (0.9pre32-0.1) unstable; urgency=low

  * Rebuild against the latest liba52 for woody.

avidemux (0.9pre32-0.0) unstable; urgency=low

  * New upstream pre release.

avidemux (0.9pre30-0.1) unstable; urgency=low

  * Rebuild against the latest libmjpegtools-dev

avidemux (0.9pre30-0.0) unstable; urgency=low

  * New upstream pre-release.

avidemux (0.9pre28-0.0) unstable; urgency=low

  * New upstream pre-release.
  * Bump Standards-Version to 3.5.8
  * Remove freetype patche.

avidemux (0.9pre26-0.0) unstable; urgency=low

  * New upstream pre release.
  * Add a libfreetype6-dev build-dependency
  * Add upstream patche to build with libfreetype6 => 2.1.3

avidemux (0.9pre24-0.0) unstable; urgency=low

  * New upstream pre release.

avidemux (0.9pre22-0.0) unstable; urgency=low

  * New upstream pre release.

avidemux (0.9pre20-0.0) unstable; urgency=low

  * New upstream pre release.

avidemux (0.9pre18-0.0) unstable; urgency=low

  * New upstream pre release.

avidemux (0.9pre17-0.1) unstable; urgency=low

  * Revert my previous change (doesn't use the DivX 5 codec), otherwise
    avidemux doesn't work with Divx 3 files

avidemux (0.9pre17-0.0) unstable; urgency=low

  * New upstream pre release.
  * Doesn't use the DivX 5 codec libavcodec is better and faster

avidemux (0.9pre16-0.0) unstable; urgency=low

  * New upstream pre release.

avidemux (0.9pre14-0.0) unstable; urgency=low

  * New upstream pre release.

avidemux (0.9pre13-0.0) unstable; urgency=low

  * New upstream pre release.

avidemux (0.9pre12-0.1) unstable; urgency=low

  * Should build-depends on liba52-dev

avidemux (0.9pre12-0.0) unstable; urgency=low

  * New upstream pre release.

avidemux (0.9pre11-0.0) unstable; urgency=low

  * New upstream pre release.

avidemux (0.9pre10-0.0) unstable; urgency=low

  * New upstream pre release.

avidemux (0.9pre9-0.0) unstable; urgency=low

  * New upstream pre release.

avidemux (0.9pre8-0.0) unstable; urgency=low

  * New upstream pre release.

avidemux (0.9pre7-0.0) unstable; urgency=low

  * New upstream pre release.

avidemux (0.9pre6-0.0) unstable; urgency=low

  * New upstream pre release.

avidemux (0.9pre5-0.0) unstable; urgency=low

  * New upstream pre release.

avidemux (0.9pre3-0.0) unstable; urgency=low

  * New upstream pre release.

avidemux (0.9pre2-0.0) unstable; urgency=low

  * News upstream prerelease.

avidemux (0.8-2) unstable; urgency=low

  * debian/control update Builds-depends field.

avidemux (0.8-1) unstable; urgency=low

  * Initial Release.

 -- Matvey Kozhev <email address hidden>   Mon, 18 Feb 2008 20:31:37 +0600

Upload details

Uploaded by:
Maia Everett on 2008-02-22
Uploaded to:
Hardy
Original maintainer:
MOTU
Architectures:
any
Section:
misc
Urgency:
Low Urgency

See full publishing history Publishing

Series Pocket Published Component Section

Downloads

File Size SHA-256 Checksum
avidemux_2.4.1.orig.tar.gz 5.4 MiB bc1ee88573dd59da6637ac1123680fb430627dc44eb7e9a4b9b903d174498602
avidemux_2.4.1-0.0ubuntu1.diff.gz 255.7 KiB 98e805806484b95ae2a919802147f56f565ccb71e8e09459e2981ff8184fdc15
avidemux_2.4.1-0.0ubuntu1.dsc 1.1 KiB cd423968049dddf9307f0fcefa9033f6034afb2938e092026ffdb2e0a8544c07

View changes file

Binary packages built by this source

avidemux: No summary available for avidemux in ubuntu intrepid.

No description available for avidemux in ubuntu intrepid.

avidemux-cli: No summary available for avidemux-cli in ubuntu hardy.

No description available for avidemux-cli in ubuntu hardy.

avidemux-common: No summary available for avidemux-common in ubuntu intrepid.

No description available for avidemux-common in ubuntu intrepid.

avidemux-qt: No summary available for avidemux-qt in ubuntu intrepid.

No description available for avidemux-qt in ubuntu intrepid.